Skip to main content
POST
/
auctions
cURL
curl --request POST \
  --url https://admin.fanfare.io/api/auctions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settleAt": "<string>"
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settleAt": "2023-11-07T05:31:56Z",
  "timeZone": "<string>",
  "auctionType": "english",
  "autoExtendSeconds": 123,
  "closeAt": "2023-11-07T05:31:56Z",
  "floorPrice": "<string>",
  "minBidIncrement": "<string>",
  "openAt": "2023-11-07T05:31:56Z",
  "priceDropAmount": "<string>",
  "priceDropIntervalSeconds": 123,
  "quantity": 123,
  "reservePrice": "<string>",
  "startPrice": "<string>",
  "statusOverride": "ended",
  "statusOverrideAt": "2023-11-07T05:31:56Z",
  "statusOverrideBy": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Body

application/json
name
string
required
sequenceId
string<uuid>
required
settleAt
string
required
auctionType
enum<string>
Available options:
english,
dutch
autoExtendSeconds
number | null
closeAt
string | null
floorPrice
string | null
minBidIncrement
string | null
openAt
string | null
priceDropAmount
string | null
priceDropIntervalSeconds
number | null
quantity
number | null
reservePrice
string | null
startPrice
string | null
timeZone
string | null

Response

Auction created successfully

archived
boolean
required
createdAt
string<date-time>
required
createdBy
string
required
id
string<uuid>
required
name
string
required
Minimum string length: 1
organizationId
string<uuid>
required
sequenceId
string<uuid>
required
settleAt
string<date-time>
required
timeZone
string
required
Minimum string length: 1
auctionType
enum<string>
default:english
Available options:
english,
dutch
autoExtendSeconds
number | null
cleanupStatus
enum<string> | null
Available options:
pending,
completed
closeAt
string<date-time> | null
floorPrice
string | null
Pattern: ^\d{1,12}(\.\d{1,8})?$
minBidIncrement
string | null
Pattern: ^\d{1,12}(\.\d{1,8})?$
openAt
string<date-time> | null
priceDropAmount
string | null
Pattern: ^\d{1,12}(\.\d{1,8})?$
priceDropIntervalSeconds
number | null
quantity
number | null
reservePrice
string | null
Pattern: ^\d{1,12}(\.\d{1,8})?$
startPrice
string | null
Pattern: ^\d{1,12}(\.\d{1,8})?$
statusOverride
enum<string> | null
Available options:
ended
statusOverrideAt
string<date-time> | null
statusOverrideBy
string | null
updatedAt
string<date-time> | null
updatedBy
string | null